package cn.com.qmth.print.manage.controller;

import javax.annotation.Resource;

import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.print.manage.service.OrgService;
import cn.com.qmth.print.manage.service.query.OrgQuery;

import com.qmth.boot.api.constant.ApiConstant;

@RestController
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + "/org")
public class OrgController {

    @Resource
    private OrgService orgService;

    @RequestMapping("/query")
    public Object appInfo(@Validated OrgQuery query) {
        return orgService.list();
    }

}
